2010年09月22日

PDOエラー

ラビットサイトのVPSサービスRV-752で
Zend_db(PDO)をつかったら、以下のエラーが出た。

Error message: The PDO extension is required for this adapter but the extension is not loaded

extensionで、pdo.so,pdo_mysql.soをコメントアウトしているので、なんだろうとしらべてたみたらわからず、コマンドラインから、PHPを実行したら、エラーがでた。

PHP Warning: Cannot load module 'PDO' because required module 'spl' is not loaded in Unknown on line 0

どうも、spl.soとsimplexml.soも読み込まないといけないらしい。

損ぐらい使えるようにしといてよ。
posted by hanamako at 14:17| Comment(0) | TrackBack(0) | PHP | このブログの読者になる | 更新情報をチェックする
×

この広告は1年以上新しい記事の投稿がないブログに表示されております。